/****************************************************************************************
    Copyright 2004 uja
    This file is part of Ballonschiessen which runs under GPL
*****************************************************************************************/


#define _CLOSE         "schlieen"
#define _HELP          "Wie spielt man..."
#define _HISCORE       "Bestenliste"
#define _HISCORERESET  "Bestenliste lschen"
#define _HSCMESS0      "Du hast Dir mit "        
#define _HSCMESS1      "Punkten einen Platz in der Bestenliste erobert!\nBitte gib Deinen Namen ein:"
#define _CONFRESET     "Soll die Bestenliste tatschlich zur|ckgesetzt werden?"
#define _YES           "Ja, klar doch!"
#define _NO            "Nee, lieber doch nicht!"
#define _INFO          "Info"
#define _LICENSE       "Lizenz"
#define _SAVESETTINGS  "Parameter speichern"


// Konstanten fuer main:
#define PROGICON  "./images/ballon_0001.png"
#define PROGNAME  "Ballons"
#define INIFILE   "./gameparm.ini"
#define SETFILE   "./settings.ini"

#define MENU10    "Spiel              "
#define MENU11    "&neues Spiel"
#define KUERZEL11 "CTRL+N"
#define MENU12    "&Pause"
#define KUERZEL12 "CTRL+P"
#define MENU13    "&weiter"
#define KUERZEL13 "CTRL+W"
#define MENU14    "&Bestenliste"
#define KUERZEL14 "CTRL+B"
#define MENU15    "&Quit"
#define KUERZEL15 "CTRL+Q"

#define MENU30    "Infos"
#define MENU31    "&Hilfe"
#define KUERZEL31 "CTRL+H"
#define MENU32    "&Info"
#define KUERZEL32 "CTRL+I"
#define LOEHSC    "Bestenliste zurcksetzen"
#define SCHLIESSEN "schliessen"                 // allgemeine Buttonaufschrift

// Konstanten fuer Window und Hiscore
#define WIN_BMAX 800
#define WIN_HMAX 480
#define WIN_BMIN 720
#define WIN_HMIN 400
#define BACKGR0   "#554433"                     // Aussenfenster Hintergrund
#define COLOR0    "#cccc99"                     // Aussenfenster Textfarbe
#define BACKPIX0  ""
#define BACKGR1   "#553300"                     // Spielfeld Hintergrund
#define COLOR1    "#cccc99"                     // Spielfeld Textfarbe
#define BACKPIX1  "./images/moor_600x400.png"       
#define BACKGR2   "#ccbb99"                     // Anzeigen Hintergrund
#define BACKPIX2 "./images/mahagoni.png"
#define COLOR2    "#ffffcc"                     // Anzeigen Textfarbe 

#define RANDHCOLOR "#999966"
#define RANDDCOLOR "#330000"


// window:
#define TITEL     "Ballonschiessen 1.0"          // Programmtitel
#define TITELBILD "./images/ue.png"   // Titel-Schmuckbild
#define ANZEIGE0  ""
#define ANZEIGE1  "Punkte:"
#define ANZEIGE2  "Zeit:"
#define ANZEIGE3  ""
#define ANZEIGE4  ""

// Hiscore:
#define HSCTITEL   "Ballonschiessen - Bestenliste"
#define HSCBREITE  480
#define HSCTITELFI "<h2><i>Ballonschiessen - Bestenliste</i></h2>"
#define MAXEINTRAG 20
#define HSCFILE    "./texte/hiscore.csv"    
#define TIMEFORM   "dd.MM.yyyy hh:mm:ss"           // Zeitformat
#define HSCGRENZE  5                               // Medaillengrenze 
#define PAPERBILD  "./images/reispapier_weiss.png" // Hiscore-Hintergrund
#define PAPCOLOR0  "#ddcc99"                       // Rahmenfarbe
#define HICOLOR    "#990011"                       // Hiscore-Top-Farbe
#define LOCOLOR    "#003355"                       // Hiscore-Textfarbe
#define HSCMESS0   "Du hast Dir mit "              // Eintragstexte
#define HSCMESS1   "Punkten einen Platz  "
#define HSCMESS2   "in der Bestenliste erobert!\nBitte gib Deinen Namen ein:"
#define HSCPOTT    "./images/pott.png"
#define CONFRESET  "Soll die Bestenliste tatschlich zurckgesetzt werden?"
#define YES        "Ja, klar doch!"
#define NO         "Nee, lieber doch nicht!"

// Konstanten fuer Textviewer
#define HELPFILE   "./texte/hilfe.rtf"
#define INFOFILE   "./texte/info.rtf"
#define GPLFILE   "./texte/gpl.rtf"
#define INFOTITEL  "Ballonschiessen - Info"
#define HELPTITEL  "Ballonschiessen - Hilfe"
#define LIZENZTITEL "GPL"
#define HELPBREITE 400
#define INFOBREITE 284

// Konstanten fuer Spiel - bei Anpassen auch WIN_* Groessen korrigieren:
#define NUMTYPEN    6
#define NUMSPRITES 24

#define BALLONPICS  "./images/ballon_%1.png"
#define TROPFENPICS "./images/tropfen_%1.png"
#define ZIELPICS    "./images/ziel_%1.png"
#define LEERPIC     "-/images/leer.png"
#define VGPIC       "./images/vg.png"
#define GAMEOVERPIC "./images/gover.png"
#define PAUSEPIC    "./images/pause.png"
#define CURSORPIC   "./images/cursor.png"

#define ZEIT0 180
#define DX     64
#define DY     48
#define OFX    32
#define OFY   320
#define XMAX  600
#define YMAX  400


// ------------------------------------------------------------------------------------
